| Thursday December 18th 2014

Feedburner

Subscribe by email:

We promise not to spam/sell you.


Search Amazon deals:

HOWTO: Installing Flash Player 10 on 64-bit Linux


I was experiencing some screen tearing on video with Flash Player 9, and thought perhaps giving Flash Player 10 a try would help. It didn’t help much, but here’s how you can install Flash Player 10 yourself using nspluginwrapper on 64-bit Ubuntu. I did this on Hardy Heron, but similar steps will probably apply to previous or new distributions.

Adobe Flash 10

This guide is written for Ubuntu Linux but can easily be converted to any other GNU/Linux distro

Firstly, you need to remove any existing installations of Flash using nspluginwrapper.

  1. Close Firefox.
  2. From the terminal type nspluginwrapper -l. This shows you all current plugins using nspluginwrapper. For example:
    jalada@c-cube:~$ nspluginwrapper -l
    /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so
    Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
    Wrapper version string: 0.9.91.5
    /usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
    Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
    Wrapper version string: 0.9.91.5
    /usr/lib/firefox/plugins/npwrapper.libflashplayer.so
    Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
    Wrapper version string: 0.9.91.5
    /usr/lib64/firefox/plugins/npwrapper.libflashplayer.so
    Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
    Wrapper version string: 0.9.91.5
  3. Remove them using sudo nspluginwrapper -r <plugin location>, for example
    sudo nspluginwrapper -r /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so
  4. Remove any other traces of Flash and nspluginwrapper. Note if you’re using nspluginwrapper for something else, do NOT remove it’s folder or package, instead look through the folder and see if there’s anything remaining that is related to Flash. Otherwise you can run these commands:
    sudo apt-get remove -y --purge flashplugin-nonfree gnash gnash-common \
    mozilla-plugin-gnash swfdec-mozilla libflashsupport nspluginwrapper
    sudo rm -f /usr/lib/mozilla/plugins/*flash*
    sudo rm -f ~/.mozilla/plugins/*flash*
    sudo rm -f /usr/lib/firefox/plugins/*flash*
    sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
    sudo rm -rfd /usr/lib/nspluginwrapper

Next, install the latest version of Flash Player 10

  1. Visit the Flash Player 10 download page and download the latest version for Linux (in .tar.gz format)
  2. Extract it, change into the directory it extracted to (something like install_flash_player_10_linux)
  3. Make sure you’ve closed Firefox again, then copy libflashplayer.so to the Mozilla plugins folder like so:
    sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

Now you need to download the required 32-bit libraries and manually install them.

  1. Open up a terminal, make a new directory somewhere and change into it, then download the required 32-bit library packages using the following commands (note, these versions may be old if you read this in the future):
    wget http://gb.archive.ubuntu.com/ubuntu/pool/main/n/nss/libnss3-1d_3.12.0.3-0ubuntu5_i386.deb
    wget http://gb.archive.ubuntu.com/ubuntu/pool/main/n/nspr/libnspr4-0d_4.7.1+1.9-0ubuntu0.8.04.5_i386.deb
    wget http://gb.archive.ubuntu.com/ubuntu/pool/main/c/curl/libcurl3_7.18.2-1ubuntu1_i386.deb
  2. Extract (not install) all the packages using the following commands:
    dpkg -x libnss3* libnss
    dpkg -x libnspr4* libnspr
    dpkg -x libcurl3* libcurl
  3. Copy all the required library files to /usr/lib32/ using the following commands:
    sudo cp -rv libnss/usr/lib/* /usr/lib32/
    sudo cp -rv libnspr/usr/lib/* /usr/lib32/
    sudo cp -rv libcurl/usr/lib/* /usr/lib32/

Now use nspluginwrapper to create the 64-bit wrapper, and then make it so Firefox can see it.

  1. (Re)install nspluginwrapper
    apt-get install ia32-libs nspluginwrapper
  2. Now use nspluginwrapper to install the 64-bit wrapper for Flash Player 10 using this command:
    sudo nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so
  3. If you don’t get any output from that command, it means it’s been successful. Now make it so Firefox can see it. The last two of these may be redundant, but it doesn’t hurt:
    sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so \
    /usr/lib/mozilla/plugins/
    sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so \
    /usr/lib/firefox-addons/plugins/
  4. Done! Try loading Firefox and giving YouTube a try.

Note that for me, sound just worked straight out of the box. I’m using the bog standard PulseAudio set up with (as far as I can remember) no extra tweaks to get sound working. If you have any issues, or this guide doesn’t work (I’m remembering the steps as best as I can to write this) then leave a comment. If it’s been useful to you, leave a comment too!

Edit:

Today, Ubuntu announced the first Intrepid Ibex beta. I gave my Linux workstation an upgrade immediately to give it a try. I received a suggestion that you can also use an Intrepid Ibex package to install Flash Player 10 on Hardy Heron, which is a great suggestion and a lot easier than my method.

Now I have Intrepid Ibex, and that package is available, installing Flash Player 10 on 64-bit Ubuntu is a snap:

apt-get install flashplugin-nonfree

Yup, that’s it. Reload Firefox and you’re done! I must say though, it seems a little less stable than it was in Hardy Heron, but then Intrepid Ibex is still in beta.

Source

Related Posts: On this day...

Reader Feedback

2 Responses to “HOWTO: Installing Flash Player 10 on 64-bit Linux”

  1. kamil.szot says:

    Thank you very much. Your instructions allowed me to install 32-bit Flash Player 10.2.151.49 on 64-bit Ubuntu Maverick.

    I just got 3 libraries you mentioned from different sources:
    wget http://security.ubuntu.com/ubuntu/pool/main/n/nss/libnss3-1d_3.12.8-0ubuntu0.10.10.1_i386.deb
    wget http://www.club.cc.cmu.edu/pub/ubuntu//pool/main/n/nspr/libnspr4-0d_4.8.6-0ubuntu1_i386.deb
    wget http://ie.archive.ubuntu.com/ubuntu/pool/main/c/curl/libcurl3_7.21.0-1ubuntu1_i386.deb

    Also I couldn’t (re)install nspluginwrapper using apt-get so I downloaded and installed it manually:

    wget https://launchpad.net/ubuntu/+source/nspluginwrapper/1.2.2-0ubuntu7/+build/1952716/+files/nspluginwrapper_1.2.2-0ubuntu7_amd64.deb

    sudo dpkg -i nspluginwrapper_1.2.2-0ubuntu7_amd64.deb

  2. everything is relative says:

    Wow. Great post. Thanks to both the OP and to kamil.szot for the updated sources for the 3 libraries. Super helpful.

Leave a Reply

You must be logged in to post a comment.